
#ifndef SHELL_H
#define SHELL_H

struct shell;

typedef int (*shell_command_t) ( struct shell *s, int argc, char **argv );

struct shell * shell_create( char *name );
int            shell_register( struct shell *s, const char *name, shell_command_t command );
int            shell_register_default( struct shell *s, shell_command_t command );
void           shell_run( struct shell *s );
void           shell_delete( struct shell *s );

#endif
