/*
dttools is Copyright (C) 2002 Douglas Thain
This software is released under the GNU General Public License.
See the file COPYING for details.
*/


#ifndef SYNTH_H
#define SYNTH_H

#include "int_sizes.h"

#define SYNTH_WAVEFORM_SQUARE 0
#define SYNTH_WAVEFORM_SINE 1

struct synth * synth_create( int sample_rate, int frequency, int length );
int synth_play( struct synth *s );
void synth_delete( struct synth *s );

#endif
